/ lang / cbool
CBool
Syntax

    Result = CBool ( Expression ) AS Boolean

Converts an expression into a boolean.

An expression is false if it is:

- A false boolean.
- A zero number.
- A zero length string.
- A null date.
- A null object.

### Examples

    PRINT CBool(0);; CBool(1)
    <hr>False True

    PRINT CBool("Gambas");; CBool("")
    <hr>True False

    PRINT CBool(NULL)
    <hr>False

### See also

Conversion Functions